package com.boman.system.mapper;

import com.boman.domain.SysDept;
import com.boman.domain.BomanGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 自定义组管理 数据层
 * 
 * @author ruoyi
 */
public interface BomanGroupMapper
{
    /**
     * 查询自定义组数据
     * 
     * @param bomanGroup 自定义组
     * @return 自定义组集合
     */
    public List<BomanGroup> selectGroupList(BomanGroup bomanGroup);

    /**
     * 根据组织ID查询信息
     * 
     * @param id 组织ID
     * @return 组织信息
     */
    public BomanGroup selectGroupById(Long id);

    /**
     * 查询部门是否存在用户
     * 
     * @param ids 组织ID
     * @return 结果
     */
    public int checkGroupExistUser(Long[] ids);

    /**
     * 校验组织名称是否唯一
     * 
     * @param groupName 部门名称
     * @return 结果
     */
    public BomanGroup checkGroupNameUnique(@Param("groupName") String groupName);

    /**
     * 新增组织信息
     * 
     * @param bomanGroup 组织信息
     * @return 结果
     */
    public int insertGroup(BomanGroup bomanGroup);

    /**
     * 修改组织信息
     * 
     * @param bomanGroup 部门信息
     * @return 结果
     */
    public int updateGroup(BomanGroup bomanGroup);

    /**
     * 删除组织管理信息
     * 
     * @param ids 组织ID
     * @return 结果
     */
    public int deleteGroupById(Long[] ids);
}
